> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# List POS Entries

GET https://api.npretail.app/{tenant}/{environment}/{company}/pos/entry

Get a paginated list of POS Entries (completed transactions) with optional filters. Supports sync mode for efficient incremental synchronization.

Reference: https://docs.navipartner.com/apis/api-reference/pos/posentry/list-pos-entries

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

### Query parameters

- `posStore` (string, optional) — Filter by POS Store Code
- `posUnit` (string, optional) — Filter by POS Unit Number
- `documentNo` (string, optional) — Filter by Document Number
- `pageSize` (integer, optional) — Number of entries to return per page
- `pageKey` (string, optional) — Continuation token for pagination
- `sync` (boolean, optional) — Enable sync mode - returns entries ordered by rowVersion for efficient incremental synchronization
- `lastRowVersion` (string, optional) — When sync=true, only return entries with rowVersion greater than this value
- `withLines` (boolean, optional) — Include lines in the response

## Response

### 200

- `morePages` (boolean, required)
- `nextPageKey` (string, required)
- `nextPageURL` (string, required)
- `data` (list of POSEntry, required)

## Types

### POSEntry

A completed POS Entry (transaction) with its sales, payment, and tax lines

- `entryId` (UUID, required) — The unique identifier of a POS Entry
- `entryNo` (integer, required)
- `documentNo` (string, required)
- `entryDate` (date, required)
- `startingTime` (string, required) — Time when the transaction started (format HH:MM:SS)
- `endingTime` (string, required) — Time when the transaction ended (format HH:MM:SS)
- `posStore` (string, required)
- `posUnit` (string, required)
- `entryType` (enum, required)
  - Allowed values: `Comment`, `Direct Sale`, `Other`, `Credit Sale`, `Balancing`, `Cancelled Sale`
- `totalAmountInclVat` (double, required)
- `taxAmount` (double, required)
- `postEntryStatus` (enum, required)
  - Allowed values: `Unposted`, `Error while Posting`, `Posted`, `Not To Be Posted`
- `postItemEntryStatus` (enum, required)
  - Allowed values: `Unposted`, `Error while Posting`, `Posted`, `Not To Be Posted`
- `postingDate` (date, required)
- `documentDate` (date, required)
- `fiscalNo` (string, optional)
- `description` (string, optional)
- `customerNo` (string, optional)
- `customerId` (UUID, optional)
- `salespersonCode` (string, optional)
- `externalDocumentNo` (string, optional)
- `rowVersion` (string, optional) — Row version for sync operations (only present when sync=true in request)
- `salesLines` (list of POSEntrySalesLine, optional)
- `paymentLines` (list of POSEntryPaymentLine, optional)
- `taxLines` (list of POSEntryTaxLine, optional)

### POSEntrySalesLine

A sales line from a POS Entry

- `lineId` (UUID, required)
- `sortKey` (integer, required)
- `type` (enum, required)
  - Allowed values: `Comment`, `G/L Account`, `Item`, `Customer`, `Voucher`, `Payout`, `Rounding`
- `code` (string, required)
- `description` (string, required)
- `quantity` (double, required)
- `unitPrice` (double, required)
- `vatPercent` (double, required)
- `discountPct` (double, required)
- `discountAmount` (double, required)
- `amountInclVat` (double, required)
- `taxAmount` (double, required)
- `excludeFromPosting` (boolean, required)
- `variantCode` (string, optional)
- `description2` (string, optional)
- `unitOfMeasure` (string, optional)
- `locationCode` (string, optional)

### POSEntryPaymentLine

A payment line from a POS Entry

- `lineId` (UUID, required)
- `sortKey` (integer, required)
- `paymentMethodCode` (string, required)
- `description` (string, required)
- `amountInclVat` (double, required)
- `isEFT` (boolean, required)
- `externalDocumentNo` (string, optional)

### POSEntryTaxLine

A tax line from a POS Entry

- `taxPercent` (double, required)
- `taxBaseAmount` (double, required)
- `taxAmount` (double, required)
- `taxJurisdictionCode` (string, optional)
- `taxIdentifier` (string, optional)

## Examples

**Response**

```json
{
  "morePages": true,
  "nextPageKey": "eyJ2aWV3IjoiVkVSU0lPTigxKSBTT1JUSU5HKEZpZWxkMSkgV0hFUkUoRmllbGQxMD0xKDAxKSkiLCJpbmRleEZpZWxkcyI6eyIxIjoiMiJ9fQ==",
  "nextPageURL": "https://api.npretail.app/tenant/env/company/pos/entry?pageSize=50&pageKey=eyJ2aWV3IjoiVkVSU0lPTigxKSBTT1JUSU5HKEZpZWxkMSkgV0hFUkUoRmllbGQxMD0xKDAxKSkiLCJpbmRleEZpZWxkcyI6eyIxIjoiMiJ9fQ==",
  "data": [
    {
      "entryId": "7f8e9d6c-5a4b-3c2d-1e0f-9a8b7c6d5e4f",
      "entryNo": 12345,
      "documentNo": "STORE01-001-00123",
      "entryDate": "2024-01-15",
      "startingTime": "14:30:00",
      "endingTime": "14:32:00",
      "posStore": "STORE01",
      "posUnit": "POS001",
      "entryType": "Direct Sale",
      "totalAmountInclVat": 180,
      "taxAmount": 36,
      "postEntryStatus": "Posted",
      "postItemEntryStatus": "Posted",
      "postingDate": "2024-01-15",
      "documentDate": "2024-01-15",
      "fiscalNo": "FIS-2024-00123",
      "description": "Regular Sale",
      "customerNo": "C10001",
      "customerId": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6",
      "salespersonCode": "SP001",
      "salesLines": [
        {
          "lineId": "8c3f4dbe-d927-4e8a-89ab-12345678abcd",
          "sortKey": 10000,
          "type": "Item",
          "code": "ITEM-001",
          "description": "Premium Widget",
          "quantity": 2,
          "unitPrice": 100,
          "vatPercent": 25,
          "discountPct": 10,
          "discountAmount": 20,
          "amountInclVat": 180,
          "taxAmount": 36,
          "excludeFromPosting": false,
          "variantCode": "RED",
          "unitOfMeasure": "PCS",
          "locationCode": "MAIN"
        }
      ],
      "paymentLines": [
        {
          "lineId": "2b5a9c4e-f123-4d56-78ab-98765432fedc",
          "sortKey": 10000,
          "paymentMethodCode": "CASH",
          "description": "Cash Payment",
          "amountInclVat": 180,
          "isEFT": false
        }
      ],
      "taxLines": [
        {
          "taxPercent": 25,
          "taxBaseAmount": 144,
          "taxAmount": 36,
          "taxIdentifier": "STANDARD"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python ExampleListPOSEntries
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry"

querystring = {"posStore":"STORE01","pageSize":"50"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript ExampleListPOSEntries
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go ExampleListPOSEntries
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ExampleListPOSEntries
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java ExampleListPOSEntries
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php ExampleListPOSEntries
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp ExampleListPOSEntries
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift ExampleListPOSEntries
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/entry?posStore=STORE01&pageSize=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```